<svg:g *ngIf="display">
      <svg:ellipse *ngIf="node && node.shape==='ellipse'"
          class="node_mds"
          [attr.fill]="node.color"
          cx="0"
          cy="0"
          [attr.rx]="node.size.x"
          [attr.ry]="node.size.y"
          [attr.transform]="'translate(' + x + ',' + y + ')'"
          >
      </svg:ellipse>
      <svg:rect *ngIf="node && node.shape==='rectangle'"
          class="node"
          [attr.fill]="node.color"
          [attr.width]="node.size.x"
          [attr.height]="node.size.y"
          [attr.rx] = 8
          [attr.ry] = 8
          [attr.transform]="'translate(' + x + ',' + y + ')'">
      </svg:rect>
      <svg:text
          class="name-node"
          dy = .25em
          [attr.transform]="'translate(' + node.x + ',' + node.y + ')'">
        {{node!.text}}
      </svg:text>
      <svg:text
        class="users-node"
        dy = .25em
        [attr.transform]="'translate(' + node.x+ ',' + node.y + ')'">
        {{node!.users}} users
      </svg:text>
</svg:g>
